<manifest version="4.0" type="device" target-level="5">
    <hal format="hidl">
        <name>android.hardware.audio</name>
        <transport>hwbinder</transport>
        <fqname>@7.0::IDevicesFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.audio.effect</name>
        <transport>hwbinder</transport>
        <fqname>@7.0::IEffectsFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IBluetoothHci/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth.audio</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::IBluetoothAudioProvidersFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.boot</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IBootControl/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.camera.provider</name>
        <transport>hwbinder</transport>
        <fqname>@2.6::ICameraProvider/internal/0</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.gatekeeper</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IGatekeeper/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.graphics.allocator</name>
        <transport>hwbinder</transport>
        <fqname>@4.0::IAllocator/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.graphics.composer</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::IComposer/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.graphics.mapper</name>
        <transport arch="32+64">passthrough</transport>
        <fqname>@4.0::IMapper/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.keymaster</name>
        <transport>hwbinder</transport>
        <fqname>@4.1::IKeymasterDevice/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.media.omx</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOmx/default</fqname>
        <fqname>@1.0::IOmxStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.memtrack</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IMemtrack/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.radio</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IRadio/em1</fqname>
        <fqname>@1.2::IRadio/em2</fqname>
        <fqname>@1.2::IRadio/imsAospSlot1</fqname>
        <fqname>@1.2::IRadio/imsAospSlot2</fqname>
        <fqname>@1.2::IRadio/se1</fqname>
        <fqname>@1.2::IRadio/se2</fqname>
        <fqname>@1.2::IRadio/slot1</fqname>
        <fqname>@1.2::IRadio/slot2</fqname>
        <fqname>@1.2::ISap/slot1</fqname>
        <fqname>@1.2::ISap/slot2</fqname>
        <fqname>@1.6::IRadio/em1</fqname>
        <fqname>@1.6::IRadio/em2</fqname>
        <fqname>@1.6::IRadio/imsAospSlot1</fqname>
        <fqname>@1.6::IRadio/imsAospSlot2</fqname>
        <fqname>@1.6::IRadio/se1</fqname>
        <fqname>@1.6::IRadio/se2</fqname>
        <fqname>@1.6::IRadio/slot1</fqname>
        <fqname>@1.6::IRadio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.radio.config</name>
        <transport>hwbinder</transport>
        <fqname>@1.3::IRadioConfig/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.renderscript</name>
        <transport arch="32+64">passthrough</transport>
        <fqname>@1.0::IDevice/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.sensors</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::ISensors/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tetheroffload.config</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOffloadConfig/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tetheroffload.control</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IOffloadControl/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.thermal</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IThermal/default</fqname>
        <fqname>@2.0::IThermal/default</fqname>
    </hal>
    <hal format="hidl">
        <name>com.fingerprints.extension</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IFingerprintEngineering/default</fqname>
        <fqname>@1.0::IFingerprintNavigation/default</fqname>
        <fqname>@1.0::IFingerprintSensorTest/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.goodix.hardware.biometrics.fingerprint</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::IGoodixFingerprintDaemon/default</fqname>
        <fqname>@2.1::IGoodixFingerprintDaemonExt/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.aee</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IAee/AEE</fqname>
        <fqname>@1.1::IAee/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.apmonitor</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IApmService/apm_hidl_service</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.atci</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAtcid/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.bluetooth.audio</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IBluetoothAudioProvidersFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.camera.atms</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IATMs/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.camera.bgservice</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IBGService/internal/0</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.camera.isphal</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IISPModule/internal/0</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.composer_ext</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IComposerExt/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.dmc</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IDmcService/dmc_hidl_service</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.engineermode</name>
        <transport>hwbinder</transport>
        <fqname>@1.3::IEmd/EmHidlServer</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.keymaster_attestation</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IKeymasterDevice/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.log</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ILog/ATMWiFiHidlServer</fqname>
        <fqname>@1.0::ILog/ConnsysFWHidlServer</fqname>
        <fqname>@1.0::ILog/LoggerHidlServer</fqname>
        <fqname>@1.0::ILog/MobileLogHidlServer</fqname>
        <fqname>@1.0::ILog/ModemLogHidlServer</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.mdmonitor</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IMDMonitorService/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.mmagent</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IMMAgent/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.mms</name>
        <transport>hwbinder</transport>
        <fqname>@1.6::IMms/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.mtkpower</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IMtkPerf/default</fqname>
        <fqname>@1.2::IMtkPower/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.mtkradioex</name>
        <transport>hwbinder</transport>
        <fqname>@3.0::IMtkRadioEx/imsSlot1</fqname>
        <fqname>@3.0::IMtkRadioEx/imsSlot2</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkAssist1</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkAssist2</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkCap1</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkCap2</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkEm1</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkEm2</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkRcs1</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkRcs2</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkRsu1</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkRsu2</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkSe1</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkSe2</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkSlot1</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkSlot2</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkSmartRatSwitch1</fqname>
        <fqname>@3.0::IMtkRadioEx/mtkSmartRatSwitch2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.netdagent</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::INetdagent/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.nvram</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::INvram/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.nwk_opt</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::INwkOpt/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.pq</name>
        <transport>hwbinder</transport>
        <fqname>@2.15::IPictureQuality/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.mediatek.hardware.videotelephony</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IVideoTelephony/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.xiaomi.hardware.displayfeature</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDisplayFeature/default</fqname>
    </hal>
</manifest>
